Package wx :: Module grid :: Class GridRangeSelectEvent

[frames | no frames]

## Type GridRangeSelectEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
               NotifyEvent --+
                             |
                            GridRangeSelectEvent

Proxy of C++ GridRangeSelectEvent class

Method Summary
NotifyEvent | ``__init__`(self, commandType, winid)` An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening.
bool | `AltDown(self)`
bool | `CmdDown(self)`
bool | `ControlDown(self)`
GridCellCoords | `GetBottomRightCoords(self)`
int | `GetBottomRow(self)`
int | `GetLeftCol(self)`
int | `GetRightCol(self)`
GridCellCoords | `GetTopLeftCoords(self)`
int | `GetTopRow(self)`
bool | `MetaDown(self)`
bool | `Selecting(self)`
bool | `ShiftDown(self)`

Property Summary
| `BottomRightCoords`: See `GetBottomRightCoords`
| `BottomRow`: See `GetBottomRow`
| `LeftCol`: See `GetLeftCol`
| `RightCol`: See `GetRightCol`
| `thisown`: The membership flag
| `TopLeftCoords`: See `GetTopLeftCoords`
| `TopRow`: See `GetTopRow`

Method Details

### __init__(self, id, type, obj, topLeft, bottomRight, sel=True, control=False, shift=False, alt=False, meta=False)
(Constructor)

An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening. The event handler can call `Veto` or `Allow` to tell the control what to do.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    NotifyEvent
  Overrides:
    `wx.NotifyEvent.__init__` (inherited documentation)

Property Details

### BottomRightCoords

See `GetBottomRightCoords`

  Get Method:
    `GetBottomRightCoords`(self)

### BottomRow

See `GetBottomRow`

  Get Method:
    `GetBottomRow`(self)

### LeftCol

See `GetLeftCol`

  Get Method:
    `GetLeftCol`(self)

### RightCol

See `GetRightCol`

  Get Method:
    `GetRightCol`(self)

### thisown

The membership flag

  Get Method:
    unknown--1218672516(...)
  Set Method:
    unknown--1218672460(...)

### TopLeftCoords

See `GetTopLeftCoords`

  Get Method:
    `GetTopLeftCoords`(self)

### TopRow

See `GetTopRow`

  Get Method:
    `GetTopRow`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:44 2007 | http://epydoc.sf.net